Subject: Re: [PATCH] [TRIVIAL] "unsigned char"/"char" consistency?

From: "David S. Miller" <[email-masked]>
Date: Sat, 24 Jan 2004 10:02:33 -0800 (PST)

From: Bart Samwel <[email-masked]>
   Date: Sat, 24 Jan 2004 18:05:57 +0100

   I was just nosing around and I noticed a minor inconsistency in the 
   usage of unsigned chars in skbuff push/pull functions. Almost all of 
   these functions return unsigned chars, but there are two that return 
   regular chars. Of course, this might be intentional, but AFAICS it 
   probably isn't. If nobody has a reason why this must be like this, I 
   suggest changing those two functions to return unsigned char as well. 
   I've attached a patch that does this, it's against 2.6.2-rc1.

Patch applied, thanks Bart.